Bug 14845 - d3d-dependant apps wont work
: d3d-dependant apps wont work
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/wine)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-03-10 18:20 by
Modified: 2015-10-08 19:53 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-03-10 18:20:27
работавшее ранее сообщает в консоль:
err:ddraw:DDRAW_Create Couldn't load WineD3D - OpenGL libs not present?
и заканчивается.
wine-20071130-alt7, ~/.wine пересоздан, прочее --- актуальный сизиф.
------- Comment #1 From 2008-04-09 22:34:27 -------
libwine-gl установлен?
------- Comment #2 From 2008-04-09 23:16:35 -------
нет, разумеется -- откуда бы мне об этом догадаться ?
------- Comment #3 From 2008-04-10 09:27:19 -------
В описании пакета все четко сказано:
libwine-gl - DirectX/OpenGL support library for wine
------- Comment #4 From 2008-04-10 11:38:11 -------
Я думаю, сообщение стоит дополнить текстом о том, какой пакет надо установить.
Сделаю.
------- Comment #5 From 2008-04-10 13:27:40 -------
предлагаете рыскать по дистрибутиву в поисках того, что
неожиданно уехало в подпакет при upgrade ?
если в сизифе это ещё терпимо, то в 4.0 (там то же самое)
такие кунштюки выделывать нельзя.
что мешало (например) сделать пустой libwine с зависимостями
на libwine-core libwine-gl libwine-twain и т.п, раз уж
захотелось дробиться ?
------- Comment #6 From 2008-05-20 17:32:52 -------
вот, полюбуйтесь
http://altlinux.tomsk.ru/component/option,com_fireboard/Itemid,4/func,view/id,390/catid,10/
------- Comment #7 From 2008-06-27 08:16:28 -------
Пока разумного решения проблемы предложить не могу.
Можно было бы сделать wine-full, но как это спасёт при обновлении?
------- Comment #8 From 2008-06-27 13:50:32 -------
предлагаю положить содержимое libwine-gl обратно в libwine, с выставлением
в последнем provides libwine-gl и перестать искать приключений.
------- Comment #9 From 2008-06-28 00:15:49 -------
Это невозможно. Пакет, использующий GL, должен быть отдельным.
------- Comment #10 From 2008-06-28 01:14:01 -------
почему, собственно ?
------- Comment #11 From 2008-06-28 01:27:32 -------
рассчитываю услышать объяснение столь странному заявлению
------- Comment #12 From 2008-06-28 01:44:54 -------
1. Потому что так решил мантейнер.
2. Потому что иногда инициализация GL вызвает нестабильность системы, а
отсутствие пакета - лучший способ устранить проблемы этого рода.
3. Потому что в репозитории x86_32 нет libmesa, и 32-битные пакеты, зависящие
от libGL.so.1, не установить на x86_64.
------- Comment #13 From 2008-06-28 02:03:30 -------
в обратном порядке, пожалуй:
3) это проблема майнтайнера -- сделай для x86_32 без libmesa (как ? да как
хочешь)
2) не решай, плз, за пользователей, чем им пользоваться (в особенности,
_таким_ образом)
1) решил -- сделай. не умеешь сделать -- не рукосуйничай.
------- Comment #14 From 2008-12-28 20:07:30 -------
Пока к присутствию решения не пришёл.
------- Comment #15 From 2015-10-08 19:53:38 -------
Если что, добавлен мета-пакет:
 * Чт июн 04 2015 Vitaly Lipatov <lav@altlinux.ru> 1:1.7.44-alt1
...
 - add wine-full package